## notion 3%2B2014010901

=== mod_dock/Makefile ===
##
## Notion dock module Makefile
##
##

# System specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=dock.c
DOCS=LICENSE

MAKE_EXPORTS=mod_dock

MODULE=mod_dock

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

######################################

.PHONY: tags
tags:
	exuberant-ctags -R . $(TOPDIR)

## notion 3%2B2017050501

=== de/Makefile ===
##
## Default drawing engine module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=init.c draw.c font.c colour.c brush.c fontset.c style.c precompose.c

MODULE=de

MAKE_EXPORTS=de

######################################

include $(TOPDIR)/build/rules.mk

######################################

init.o: exports.h

_install: module_install

=== ioncore/Makefile ===
##
## Notioncore Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..

CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=binding.c conf-bindings.c cursor.c event.c exec.c focus.c         \
	strings.c key.c modules.c mwmhints.c pointer.c property.c         \
	screen.c sizehint.c window.c ioncore.c                   	  \
	xic.c selection.c clientwin.c colormap.c region.c eventh.c        \
	attach.c resize.c grab.c manage.c regbind.c    			  \
	rootwin.c tags.c names.c saveload.c frame.c                       \
	frame-pointer.c conf.c reginfo.c extlconv.c fullscreen.c mplex.c  \
	bindmaps.c gr.c infowin.c activity.c netwm.c frame-draw.c         \
	kbresize.c rectangle.c xwindow.c presize.c extlrx.c               \
        pholder.c mplexpholder.c llist.c basicpholder.c sizepolicy.c      \
        stacking.c group.c grouppholder.c group-cw.c navi.c		  \
        group-ws.c float-placement.c framedpholder.c                      \
        return.c detach.c screen-notify.c frame-tabs-recalc.c profiling.c \
        log.c

LUA_SOURCES=\
	ioncore_ext.lua ioncore_luaext.lua ioncore_bindings.lua \
	ioncore_winprops.lua ioncore_misc.lua ioncore_efbb.lua \
	ioncore_wd.lua ioncore_menudb.lua ioncore_tabnum.lua \
	ioncore_quasiact.lua

ifeq ($(PRELOAD_MODULES),1)
CFLAGS += -DCF_PRELOAD_MODULES
endif

MAKE_EXPORTS=ioncore

TARGETS=ioncore.a

include $(TOPDIR)/libmainloop/rx.mk

######################################

include $(TOPDIR)/build/rules.mk

######################################

# without -finstrument-functions
profiling.o: profiling.c
	$(CC) $(CFLAGS:-finstrument-functions=) -c profiling.c -o profiling.o

ioncore.o: exports.h

ioncore.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $+
	$(RANLIB) $@

_install: lc_install

=== libtu/Makefile ===
##
## Tu Makefile
##

# System-specific configuration is in system.mk
ifeq ($(MAKELEVEL),0)
TOPDIR=.
else
TOPDIR=..
endif

# System-specific configuration
include $(TOPDIR)/build/system-inc.mk

######################################

#INCLUDES += $(LIBTU_INCLUDES) $(LUA_INCLUDES)

CFLAGS += $(C98_SOURCE) $(POSIX_SOURCE) $(WARN)

SOURCES=iterable.c  map.c  misc.c  obj.c  objlist.c  optparser.c  output.c  parser.c  prefix.c  ptrlist.c  rb.c  setparam.c  stringstore.c  tokenizer.c  util.c errorlog.c

HEADERS=debug.h  errorlog.h  locale.h  minmax.h  obj.h      objp.h       output.h  pointer.h  private.h  rb.h        stringstore.h  types.h dlist.h  iterable.h  map.h     misc.h    objlist.h  optparser.h  parser.h  prefix.h   ptrlist.h  setparam.h  tokenizer.h    util.h

TARGETS=libtu.a 

######################################

include $(TOPDIR)/build/rules.mk

######################################

libtu.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $+
	$(RANLIB) $@

install:
	$(INSTALLDIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m $(DATA_MODE) libtu.a $(DESTDIR)$(LIBDIR)
	$(INSTALLDIR) $(DESTDIR)$(INCDIR)/libtu
	for h in $(HEADERS); do \
		$(INSTALL) -m $(DATA_MODE) $$h $(DESTDIR)$(INCDIR)/libtu; \
	done

=== mod_statusbar/Makefile ===
##
## Notion mod_statusbar Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES = main.c statusbar.c draw.c statusd-launch.c

MAKE_EXPORTS = mod_statusbar

MODULE = mod_statusbar
MODULE_STUB = mod_statusbar.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

main.o: exports.h

_install: module_install

=== mod_xinerama/Makefile ===
##
## Ion xinerama module Makefile
##
##

# System specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR) $(shell $(PKG_CONFIG) --cflags-only-I xinerama)
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE) $(shell $(PKG_CONFIG) --cflags-only-other xinerama)
DOCS=LICENSE README

SOURCES=mod_xinerama.c

MAKE_EXPORTS=mod_xinerama
LIBS = $(X11_LIBS) $(shell $(PKG_CONFIG) --libs xinerama)
MODULE=mod_xinerama
MODULE_STUB=mod_xinerama.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install
	$(INSTALLDIR) $(DESTDIR)$(ETCDIR)
	for i in $(ETC); do \
		$(INSTALL) -m $(DATA_MODE) $$i $(DESTDIR)$(ETCDIR); \
	done

######################################

.PHONY: tarball
tarball: $(SOURCES) $(ETC) $(DOCS) $(MODULE_STUB) Makefile
	sh -c 'BASENAME=ion-devel-$(MODULE)-`date -r \`ls -t $+ | head -n 1\` +%Y%m%d`; \
		mkdir $$BASENAME; \
		cp $+ $$BASENAME; \
		tar -cvjf $$BASENAME.tar.bz2 $$BASENAME/*; \
		rm -Rf $$BASENAME'

.PHONY: test
test: $(SOURCES)
	$(LUA) test_xinerama.lua

######################################

.PHONY: tags
tags:
	exuberant-ctags -R . $(TOPDIR)

mod_xinerama.o: exports.h

################ ls_xinerama utility ###############

ls_xinerama: ls_xinerama.c
	$(CC) $(CFLAGS) ls_xinerama.c -o ls_xinerama $(LDFLAGS) $(LIBS)

## notion 3+2012042300

=== Makefile ===
##
## Notion Makefile
##

# System-specific configuration is in system.mk
include build/system-inc.mk

# List of modules
include modulelist.mk

######################################

INSTALL_SUBDIRS=\
	$(MODULE_LIST) \
	ioncore notion pwm etc utils man po

SUBDIRS = $(LIBS_SUBDIRS) $(INSTALL_SUBDIRS)

DOCS = README LICENSE ChangeLog RELNOTES

TO_REALCLEAN = build/ac/system-ac.mk

POTFILE=po/ion.pot

######################################

include build/rules.mk

######################################

_install:
	$(INSTALLDIR) $(DESTDIR)$(DOCDIR)
	for i in $(DOCS); do \
		$(INSTALL) -m $(DATA_MODE) $$i $(DESTDIR)$(DOCDIR); \
	done

relocatable_build:
	$(MAKE) RELOCATABLE=1 PREFIX=

=== etc/Makefile ===
##
## Notion etc Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

ETC =	cfg_notion.lua cfg_notioncore.lua cfg_kludges.lua cfg_defaults.lua \
	cfg_tiling.lua cfg_query.lua cfg_menu.lua \
	cfg_statusbar.lua cfg_dock.lua cfg_layouts.lua \
	look.lua \
	look_brownsteel.lua look_clean.lua look_dusky.lua \
	look_greyviolet.lua look_ios.lua look_cleanviolet.lua \
	look_simpleblue.lua look_cleanios.lua look_newviolet.lua \
        look_greenlight.lua \
        lookcommon_clean.lua lookcommon_emboss.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: etc_install

=== ioncore/Makefile ===
--- 
+++ 
@@ -24,8 +24,7 @@
         pholder.c mplexpholder.c llist.c basicpholder.c sizepolicy.c      \
         stacking.c group.c grouppholder.c group-cw.c navi.c		  \
         group-ws.c float-placement.c framedpholder.c                      \
-        return.c detach.c screen-notify.c frame-tabs-recalc.c profiling.c \
-        log.c
+        return.c detach.c screen-notify.c frame-tabs-recalc.c
 
 LUA_SOURCES=\
 	ioncore_ext.lua ioncore_luaext.lua ioncore_bindings.lua \
@@ -49,12 +48,6 @@
 
 ######################################
 
-# without -finstrument-functions
-profiling.o: profiling.c
-	$(CC) $(CFLAGS:-finstrument-functions=) -c profiling.c -o profiling.o
-
-ioncore.o: exports.h
-
 ioncore.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
 	$(RANLIB) $@

=== libextl/Makefile ===
##
## Extl Makefile
##

ifeq ($(MAKELEVEL),0)
TOPDIR=.
else
TOPDIR=..
endif

# System-specific configuration
include $(TOPDIR)/system.mk

# Internal library CFLAGS/INCLUDES
include $(TOPDIR)/build/libs.mk

######################################

INCLUDES += $(LIBTU_INCLUDES) $(LUA_INCLUDES)

CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=readconfig.c luaextl.c misc.c

HEADERS=readconfig.h extl.h luaextl.h private.h types.h

TARGETS=libextl.a libextl-mkexports

.PHONY : libextl-mkexports

######################################

include $(TOPDIR)/build/rules.mk

######################################

libextl.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $+
	$(RANLIB) $@

libextl-mkexports: libextl-mkexports.in
	sed "1s:LUA50:$(LUA):" $< > $@

install:
	$(INSTALLDIR) $(DESTDIR)$(BINDIR)
	$(INSTALL) -m $(BIN_MODE) libextl-mkexports $(DESTDIR)$(BINDIR)
	$(INSTALLDIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m $(DATA_MODE) libextl.a $(DESTDIR)$(LIBDIR)
	$(INSTALLDIR) $(DESTDIR)$(INCDIR)
	for h in $(HEADERS); do \
		$(INSTALL) -m $(DATA_MODE) $$h $(DESTDIR)$(INCDIR); \
	done

=== libmainloop/Makefile ===
##
## Libmainloop Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..

CFLAGS += $(POSIX_SOURCE) $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES = select.c defer.c signal.c hooks.c exec.c

#MAKE_EXPORTS=mainloop

TARGETS = libmainloop.a

######################################

include $(TOPDIR)/build/rules.mk

######################################

libmainloop.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $+
	$(RANLIB) $@

_install:

=== libtu/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 # System-specific configuration
-include $(TOPDIR)/build/system-inc.mk
+include $(TOPDIR)/system.mk
 
 ######################################

=== man/Makefile ===
##
## Notion manual page Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

TRANSLATIONS=fi cs

WELCOME_TARGETS=\
	welcome.txt \
	$(foreach tr, $(TRANSLATIONS), welcome.$(tr).txt)

TARGETS=notion.1 $(foreach tr, $(TRANSLATIONS), notion.$(tr).1) \
	pwm3.1 $(foreach tr, $(TRANSLATIONS), pwm3.$(tr).1) \
	$(WELCOME_TARGETS)

MKMAN=$(LUA) ../build/mkman.lua $(MKMAN_DEFS)
MKMAN_DEFS=-D ETCDIR $(REL)$(ETCDIR) -D DOCDIR $(REL)$(DOCDIR)

ifeq ($(RELOCATABLE),1)
REL="/..."
endif

NROFF=nroff -man -Tlatin1
#FILTERCRAP=perl -p -i -e 's/.\10//g'
FILTERCRAP=$(LUA) -e 'io.write((string.gsub(io.read("*a"), ".\8", "")))'

CONFIGS=../etc/cfg_notioncore.lua \
	../etc/cfg_tiling.lua \
	../etc/cfg_query.lua \
	../etc/cfg_menu.lua

# TODO: PWM configuration file is undocumented
PWM_CONFIGS=\
	../etc/cfg_notioncore.lua \
	../etc/cfg_menu.lua \
	../pwm/cfg_pwm.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

notion.1: notion.in $(CONFIGS)
	$(MKMAN) -i $< -o $@ $(CONFIGS)

pwm3.1: pwm3.in $(PWM_CONFIGS)
	$(MKMAN) -i $< -o $@ $(PWM_CONFIGS)

notion.%.1: notion.%.in $(CONFIGS) ../po/%.po
	$(MKMAN) -po ../po/$*.po -i $< -o $@ $(CONFIGS)

pwm3.%.1: pwm3.%.in $(PWM_CONFIGS) ../po/%.po
	$(MKMAN) -po ../po/$*.po -i $< -o $@ $(PWM_CONFIGS)

welcome%txt: welcome%head notion%1
	(cat welcome$*head; \
	$(NROFF) notion$*1 | $(FILTERCRAP)) > $@

_install:
	$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m $(DATA_MODE) notion.1 $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m $(DATA_MODE) pwm3.1 $(DESTDIR)$(MANDIR)/man1
	for tr in $(TRANSLATIONS); do \
		$(INSTALLDIR) $(DESTDIR)$(MANDIR)/$$tr/man1 ; \
		$(INSTALL) -m $(DATA_MODE) notion.$$tr.1 $(DESTDIR)$(MANDIR)/$$tr/man1/notion.1 ; \
		$(INSTALL) -m $(DATA_MODE) pwm3.$$tr.1 $(DESTDIR)$(MANDIR)/$$tr/man1/pwm3.1 ; \
	done
	$(INSTALLDIR) $(DESTDIR)$(SHAREDIR)
	for i in $(WELCOME_TARGETS); do \
		$(INSTALL) -m $(DATA_MODE) $$i $(DESTDIR)$(SHAREDIR) ; \
	done

=== mod_menu/Makefile ===
##
## Menu module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=main.c menu.c mkmenu.c grabmenu.c

MAKE_EXPORTS=mod_menu

MODULE=mod_menu
MODULE_STUB=mod_menu.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

=== mod_query/Makefile ===
##
## Query module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=complete.c edln.c input.c listing.c main.c wedln.c \
        wedln-wrappers.c wmessage.c query.c fwarn.c history.c

MAKE_EXPORTS=mod_query

MODULE=mod_query
MODULE_STUB=mod_query.lua
LUA_SOURCES=mod_query_chdir.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install lc_install

=== mod_sm/Makefile ===
##
## Session management support module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)
LIBS += $(X11_LIBS) -lSM -lICE

SOURCES=sm.c sm_matchwin.c sm_session.c

MAKE_EXPORTS=mod_sm

MODULE=mod_sm

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

=== mod_sp/Makefile ===
##
## Scratchpad module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=main.c
ETC=cfg_sp.lua

MAKE_EXPORTS=mod_sp

MODULE=mod_sp

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install etc_install

=== mod_tiling/Makefile ===
##
## Notion workspace module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I..
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=main.c tiling.c placement.c split.c split-stdisp.c \
	splitfloat.c panehandle.c ops.c

MAKE_EXPORTS=mod_tiling

MODULE=mod_tiling
MODULE_STUB=mod_tiling.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

=== debian/changelog ===
notion (3+2012042300-1) unstable; urgency=low

  * Import new upstream version
    - Updated EWMH support:
      - _NET_WM_ALLOWED_ACTIONS
      - _NET_VIRTUAL_ROOTS
      - _NET_SUPPORTING_WM_CHECK
    - Mark windows as 'activated' instead of raising them
    - Suppress gnome3's resize handles, as they don't work with Notion
    - Firefox fullscreen
    - Flash fullscreen
    - Various internal refactorings and cleanups
  * Updated standards version to 3.9.3 (no change required)
  * Move general fields (homepage, section, priority) to source package
  * Use '3.0 (quilt)' source versions, removes the need to call quilt 
  * Add descriptions for patches
  * Drop empty lintian/overrides directories
  * Fix unescaped hyphen in manpages
  * Remove outdated Flash fullscreen kludge
  * Add hardening options to build process
  * Use system printf functions instead of builtin 'portable' implementation
  * Bring debian/copyright further up-to-date

 -- Arnout Engelen <arnouten@bzzt.net>  Mon, 23 Apr 2012 19:18:20 +0200

notion (3+2011102900-1) unstable; urgency=low

  * Started packaging notion (based on existing Ion3 packaging, closes: #647048)

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 30 Oct 2011 19:30:28 +0100

ion3 (20080825-1) unstable; urgency=low

  * New upstream version
    - Fix loss of size policy in some cases - closes: #492906

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Aug 2008 20:12:15 +0100

ion3 (20080707-3) unstable; urgency=low

  * Replaced 101_ignore-missing-keys.diff and 102_ignore-bad-match.diff
    with patches from upstream repository (ion-3plus)
  * Replaced dependency on xbase-clients with x11-utils, which now
    contains xmessage
  * Updated standards version to 3.8.0
    - Added debian/README.source documenting the use of quilt
    - Added a note to debian/copyright that this package is not part
      of the Debian system due to being non-free

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 24 Jul 2008 21:30:19 +0100

ion3 (20080707-2) unstable; urgency=low

  * Suppressed warnings for missing keys (101_ignore-missing-keys.diff)
    - closes: #488673
  * Added Swedish debconf translation - closes: #483419
  * Added workaround for Xorg bug in reporting deleted windows
    (102_ignore-bad-match.diff) - closes: #490601

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 23 Jul 2008 23:37:42 +0100

ion3 (20080707-1) unstable; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 11 Jul 2008 01:13:55 +0100

ion3 (20080411-1) unstable; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Apr 2008 14:07:04 +0100

ion3 (20080207-2) unstable; urgency=low

  * Replaced debconf dependency with ${misc:Depends} - closes: #441938
  * Added Spanish and Finnish debconf translations - closes: #458574, #468830

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 26 Mar 2008 01:26:40 +0000

ion3 (20080207-1) unstable; urgency=low

  * New upstream version
    - First stable release of Ion3 - closes: #415287

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Feb 2008 20:29:15 +0000

ion3 (20080103-1) unstable; urgency=low

  * New upstream version
  * Fixed upstream regression which lost dockapp class names
    (105_dockapp-class-from-hint-window.diff)
  * Disabled dockapp size kludge for Docker (213_unkludge-docker.diff)
  * Updated policy version to 3.7.3 (no other changes required)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 06 Jan 2008 20:54:41 +0000

ion3 (20071109-1) unstable; urgency=low

  * New upstream release
  * Moved ion3-doc into separate source package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 10 Nov 2007 04:27:00 +0000

ion3 (20070927-1) unstable; urgency=low

  * New upstream release
  * Reenabled dh_strip since debugging information is disabled by default
  * Changed menu section to conform to new menu policy

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 27 Sep 2007 23:58:23 +0100

ion3 (20070902-1) unstable; urgency=low

  * New upstream release
  * Added upstream patch to fix implementation of "ml" and "mr" positions
    for the dock
  * Combined two Recommends lines in debian/control so that the uscan
    dependencies are not ignored

 -- Ben Hutchings <ben@decadent.org.uk>  Mon,  3 Sep 2007 01:23:49 +0100

ion3 (20070720-2) unstable; urgency=low

  * Cleaned up patches
  * Clarified use of /etc/default/ion3 in cfg_ioncore.lua
  * Removed FAQ as it is now split into many pages which would require
    substantial disk space if installed
  * Updated README.Debian, including some information previously omitted
    from the binary package by mistake
  * Moved uscan dependencies to Recommends and made the upstream version
    check tolerate failure of uscan - closes: #434550

 -- Ben Hutchings <ben@decadent.org.uk>  Tue,  7 Aug 2007 01:23:43 +0100

ion3 (20070720-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun,  5 Aug 2007 00:18:27 +0100

ion3 (20070708-1) unstable; urgency=low

  * New upstream release
  * Improved package descriptions and debconf templates as suggested
    by debian-l10n-english review and by Helge Kreutzmann
    - closes: #429444, #430695
  * Added debconf translations - closes: #426456, #430694, #430698,
    #430717, #430756, #430927, #431457, #431462, #432198
  * Expanded explanation of system tray configuration
  * Added modular configuration mechanism - closes: #413576, #418063
  * Added xbase-clients to dependencies since we need xmessage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon,  9 Jul 2007 02:38:04 +0100

ion3 (20070608-1) unstable; urgency=medium

  * New upstream release - closes: #428118, #430370, #430815
  * Applied patch by Nedko Arnaudov to fix an upstream bug that would
    result in a crash when using single-byte character encodings

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 28 Jun 2007 01:00:01 +0100

ion3 (20070506-2) unstable; urgency=low

  * Applied upstream version check to upgrades as well as first


=== debian/control ===
Source: notion
Section: non-free/x11
Priority: extra
Maintainer: Arnout Engelen <arnouten@bzzt.net>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), pkg-config, lua5.1, liblua5.1-0-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
XS-Autobuild: yes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/notion.git
Vcs-Git: git://git.debian.org/collab-maint/notion.git
Homepage: http://notion.sourceforge.net/

Package: notion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils
Recommends: xfonts-75dpi | xfonts-75dpi-transcoded | xfonts-100dpi | xfonts-100dpi-transcoded, libxrandr2, libxinerama1
Suggests: menu (>= 2.1.9), docker, notion-doc, notion-scripts
Provides: x-window-manager, notion-api-${Notion:ApiVersion}
Replaces: particleman
Description: tiling tabbed window manager designed for keyboard users
 Notion divides the screen into tiles and places windows in these tiles
 by default.  Each tile has a set of tabs for the windows within it.
 It also allows windows to be made 'floating' and placed freely.  Notion
 can be controlled through the keyboard alone or together with a mouse.
 .
 Notion can be configured and extended using the Lua language.  It also
 supports extension modules written in C.

Package: notion-dev
Section: non-free/devel
Architecture: all
Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.1, gcc (>> 3)
Description: Notion development files
 Notion divides the screen into tiles and places windows in these tiles
 by default.  Each tile has a set of tabs for the windows within it.
 It also allows windows to be made 'floating' and placed freely.  Notion
 can be controlled through the keyboard alone or together with a mouse.
 .
 This package contains the files necessary for building extension
 modules to the Notion window manager

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL=/bin/bash

PACKAGE := $(shell dpkg-parsechangelog | sed -r 's/^Source: //; t; d')
PACKAGE_DEV := $(PACKAGE)-dev
INSTDIR := debian/$(PACKAGE)
INSTDIR_DEV := debian/$(PACKAGE_DEV)
DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	cd libextl && $(MAKE) libextl-mkexports

	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	$(MAKE)

	touch build-arch-stamp

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp

	$(MAKE) realclean

	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i

# install headers
	find . \( -name debian -o -name .pc -o -name config.h -o -name snprintf.h \) \
		-prune -o -name '*.h' -exec install -m644 -D {} \
		$(INSTDIR_DEV)/usr/include/$(PACKAGE)/{} \;

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	$(MAKE) install \
		PREFIX=$(CURDIR)/$(INSTDIR)/usr \
		ETCDIR=$(CURDIR)/$(INSTDIR)/etc/X11/notion

# install other things (mainly -dev)
	dh_install -a

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot

# automatically keep track of api version
	dh_installchangelogs -i
	dh_installdocs -i

#	dh_installexamples -i
#	dh_install -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	chmod 755 $(INSTDIR_DEV)/usr/lib/notion/libextl/libextl-mkexports
#	dh_perl -i
#	dh_python -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot

# automatically keep track of api version
	echo Notion:ApiVersion=$$((cat version.h; echo ION_API_VERSION) \
		| cpp -P | tail -1 | sed 's/"//g') >>debian/$(PACKAGE).substvars

	dh_installchangelogs -a
	dh_installdocs -a
	rm -f $(INSTDIR)/usr/share/doc/$(PACKAGE)/LICENSE
#	mv $(INSTDIR)/usr/share/doc/$(PACKAGE)/ChangeLog $(INSTDIR)/usr/share/doc/$(PACKAGE)/changelog
#	dh_installexamples -a
#	dh_install -a
	dh_installmenu -a
	install -m644 debian/$(PACKAGE).menu-method.i18n \
		$(INSTDIR)/etc/menu-methods/$(PACKAGE)-i18n

	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.lua
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	sed -i 's/^DEBIAN_VERSION=/&$(DEBIAN_VERSION)/; s/^UPSTREAM_VERSION=/&$(UPSTREAM_VERSION)/' \
		$(INSTDIR)/DEBIAN/postinst
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

get-orig-source:
	uscan --force-download

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary \
	install-indep install-arch get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
  http://sf.net/notion/notion-(3-.+)-src\.tar\.gz

## notion 3+2014010901

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Notion Makefile
 ##
 
-# System-specific configuration is in system.mk
+# Include system-specific configuration: auto-generated and optionally local 
 include build/system-inc.mk
 
 # List of modules
@@ -12,7 +12,7 @@
 
 INSTALL_SUBDIRS=\
 	$(MODULE_LIST) \
-	ioncore notion pwm etc utils man po
+	ioncore notion etc utils man po
 
 SUBDIRS = $(LIBS_SUBDIRS) $(INSTALL_SUBDIRS)
 
@@ -20,7 +20,7 @@
 
 TO_REALCLEAN = build/ac/system-ac.mk
 
-POTFILE=po/ion.pot
+POTFILE=po/notion.pot
 
 ######################################
 
@@ -36,3 +36,33 @@
 
 relocatable_build:
 	$(MAKE) RELOCATABLE=1 PREFIX=
+
+snapshot:
+	PWD=`pwd` ;\
+	DIR=`basename "$$PWD"` ;\
+	RELEASE=`./nextversion.sh`-snapshot ;\
+	perl -p -i -e "s/^#define NOTION_RELEASE.*/#define NOTION_RELEASE \"$$RELEASE\"/" version.h ;\
+	cd .. ;\
+	tar --exclude-vcs -czf notion-$$RELEASE-src.tar.gz $$DIR ;\
+	tar --exclude-vcs -cjf notion-$$RELEASE-src.tar.bz2 $$DIR ;\
+	cd $$DIR ;\
+	git checkout version.h
+
+dist:
+	PWD=`pwd` ;\
+	DIR=`basename "$$PWD"` ;\
+	RELEASE=`./nextversion.sh` ;\
+	perl -p -i -e "s/^#define NOTION_RELEASE.*/#define NOTION_RELEASE \"$$RELEASE\"/" version.h ;\
+	git add version.h; git commit -m "Releasing version $$RELEASE" ;\
+	git tag -s -m "Release $$RELEASE" $$RELEASE ; git push --tags ;\
+	git archive --prefix notion-$$RELEASE/ --format=tar.gz $$RELEASE > ../notion-$$RELEASE-src.tar.gz ;\
+	git archive --prefix notion-$$RELEASE/ --format=tar $$RELEASE | bzip2 > ../notion-$$RELEASE-src.tar.bz2 ;\
+	perl -p -i -e "s/^#define NOTION_RELEASE.*/#define NOTION_RELEASE \"snapshot\"/" version.h ;\
+	git add version.h; git commit -m "Released version $$RELEASE" ; git push 
+
+.PHONY: test
+
+test:
+	$(MAKE) -C mod_xrandr test
+	$(MAKE) -C mod_xinerama test
+	$(MAKE) -C test

=== de/Makefile ===
--- 
+++ 
@@ -23,6 +23,4 @@
 
 ######################################
 
-init.o: exports.h
-
 _install: module_install

=== ioncore/Makefile ===
--- 
+++ 
@@ -24,7 +24,8 @@
         pholder.c mplexpholder.c llist.c basicpholder.c sizepolicy.c      \
         stacking.c group.c grouppholder.c group-cw.c navi.c		  \
         group-ws.c float-placement.c framedpholder.c                      \
-        return.c detach.c screen-notify.c frame-tabs-recalc.c
+        return.c detach.c screen-notify.c frame-tabs-recalc.c profiling.c \
+        log.c
 
 LUA_SOURCES=\
 	ioncore_ext.lua ioncore_luaext.lua ioncore_bindings.lua \
@@ -48,6 +49,10 @@
 
 ######################################
 
+# without -finstrument-functions
+profiling.o: profiling.c
+	$(CC) $(CFLAGS:-finstrument-functions=) -c profiling.c -o profiling.o
+
 ioncore.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
 	$(RANLIB) $@

=== mod_notionflux/Makefile ===
##
## mod_notionflux Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INSTALL_SUBDIRS = notionflux
SUBDIRS = $(INSTALL_SUBDIRS)

######################################

INCLUDES += $(X11_INCLUDES) -I$(TOPDIR)
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=mod_notionflux.c

MODULE=mod_notionflux

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

=== mod_statusbar/Makefile ===
--- 
+++ 
@@ -24,6 +24,5 @@
 
 ######################################
 
-main.o: exports.h
+_install: module_install 
 
-_install: module_install

=== mod_xinerama/Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
 
 ######################################
 
-INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR) $(shell $(PKG_CONFIG) --cflags-only-I xinerama)
-CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE) $(shell $(PKG_CONFIG) --cflags-only-other xinerama)
+INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR)
+CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)
 DOCS=LICENSE README
 
 SOURCES=mod_xinerama.c
 
 MAKE_EXPORTS=mod_xinerama
-LIBS = $(X11_LIBS) $(shell $(PKG_CONFIG) --libs xinerama)
+LIBS = -L/usr/lib/x86_64-linux-gnu $(X11_LIBS) -lXinerama
 MODULE=mod_xinerama
 MODULE_STUB=mod_xinerama.lua
 
@@ -44,7 +44,7 @@
 
 .PHONY: test
 test: $(SOURCES)
-	$(LUA) test_xinerama.lua
+	lua test_xinerama.lua
 
 ######################################
 
@@ -52,9 +52,7 @@
 tags:
 	exuberant-ctags -R . $(TOPDIR)
 
-mod_xinerama.o: exports.h
-
 ################ ls_xinerama utility ###############
 
 ls_xinerama: ls_xinerama.c
-	$(CC) $(CFLAGS) ls_xinerama.c -o ls_xinerama $(LDFLAGS) $(LIBS)
+	$(CC) ls_xinerama.c -o ls_xinerama -Wl,--as-needed -lX11 -lXinerama

=== mod_xkbevents/Makefile ===
##
## frame_xkb module Makefile
##

# System-specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(X11_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) -I$(TOPDIR)
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE) -Wall
LDFLAGS += $(X11_LIBS)

SOURCES=mod_xkbevents.c

MAKE_EXPORTS=mod_xkbevents

MODULE=mod_xkbevents

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install

=== mod_xrandr/Makefile ===
##
## Ion xrandr module Makefile
##
##

# System specific configuration is in system.mk
TOPDIR=..
include $(TOPDIR)/build/system-inc.mk

######################################

INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR)
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

SOURCES=mod_xrandr.c

MAKE_EXPORTS=mod_xrandr
LIBS = $(X11_LIBS) -lXrandr
MODULE=mod_xrandr
MODULE_STUB=mod_xrandr.lua
ETC=cfg_xrandr.lua

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: module_install
	$(INSTALLDIR) $(DESTDIR)$(ETCDIR)
	for i in $(ETC); do \
		$(INSTALL) -m $(DATA_MODE) $$i $(DESTDIR)$(ETCDIR); \
	done

######################################

.PHONY: tarball
tarball: $(SOURCES) $(ETC) $(DOCS) Makefile
	sh -c 'BASENAME=ion-devel-$(MODULE)-`date -r \`ls -t $+ | head -n 1\` +%Y%m%d`; \
		mkdir $$BASENAME; \
		cp $+ $$BASENAME; \
		tar -cvjf $$BASENAME.tar.bz2 $$BASENAME/*; \
		rm -Rf $$BASENAME'

.PHONY: test
test: $(SOURCES)
	for i in test_xrandr*.lua ; do echo 'Testing' $$i ; lua $$i ; done

######################################

.PHONY: tags
tags:
	exuberant-ctags -R . $(TOPDIR)

=== test/Makefile ===
.PHONY: test

test:
	$(MAKE) -C integration test

=== mod_notionflux/notionflux/Makefile ===
##
## Notionflux Makefile
##

# System-specific configuration is in system.mk
TOPDIR=../..
include $(TOPDIR)/build/system-inc.mk

######################################

CFLAGS += $(XOPEN_SOURCE)

INCLUDES += $(X11_INCLUDES) -I$(TOPDIR)

LIBS += $(X11_LIBS) 

SOURCES=notionflux.c

TARGETS=notionflux

######################################

include $(TOPDIR)/build/rules.mk

######################################

notionflux: $(SOURCES)
	$(CC) $< $(CFLAGS) $(LDFLAGS) -o $@

_install:
	$(INSTALLDIR) $(DESTDIR)$(BINDIR)
	$(INSTALL) -s -m $(BIN_MODE) notionflux $(DESTDIR)$(BINDIR)

=== test/integration/Makefile ===
.PHONY: test

libXinerama.so.1.0: Xinerama.c
	gcc -O2 -Wall Xinerama.c -fPIC -o libXinerama.so.1.0 -shared

test: libXinerama.so.1.0
	LD_PRELOAD=`pwd`/libXinerama.so.1.0 lua ./runtests.lua

=== utils/ion-completefile/Makefile ===
##
## Notion ion-completefile Makefile
##

# System-specific configuration is in system.mk
TOPDIR=../..
include $(TOPDIR)/build/system-inc.mk

######################################

EXTRA_EXECUTABLE = ion-completefile

SOURCES=ion-completefile.c

LIBS += $(LIBTU_LIBS)
INCLUDES += $(LIBTU_INCLUDES)
CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)

######################################

include $(TOPDIR)/build/rules.mk

######################################

_install: executable_install

=== debian/changelog ===
notion (3+2014010901-1) unstable; urgency=medium

  * New upstream version
    - font fallback
    - new FSF address
    - manpage fix

 -- Dima Kogan <dima@secretsauce.net>  Wed, 16 Apr 2014 22:09:55 -0700

notion (3+2014010505-1) unstable; urgency=medium

  * New upstream version (closes: #725388)
    - many improvements to multihead support
    - improved keybindings
    - better keyboard focus hints
    - notionflux remote control
  * lua5.2 support

 -- Arnout Engelen <arnouten@bzzt.net>  Sat, 04 Jan 2014 21:08:30 +0100

notion (3+2012042300-2) unstable; urgency=low

  * remove etc/X11/notion/cfg_debian_ext.lua on purge (closes: #679764)

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 01 Jul 2012 16:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: non-free/x11
 Priority: extra
 Maintainer: Arnout Engelen <arnouten@bzzt.net>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7), pkg-config, lua5.1, liblua5.1-0-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
+Uploaders: Dima Kogan <dima@secretsauce.net>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7), pkg-config, lua5.2, liblua5.2-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
 XS-Autobuild: yes
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/notion.git
-Vcs-Git: git://git.debian.org/collab-maint/notion.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/notion.git
 Homepage: http://notion.sourceforge.net/
 
 Package: notion
@@ -28,7 +29,7 @@
 Package: notion-dev
 Section: non-free/devel
 Architecture: all
-Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.1, gcc (>> 3)
+Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.2, gcc (>> 3)
 Description: Notion development files
  Notion divides the screen into tiles and places windows in these tiles
  by default.  Each tile has a set of tabs for the windows within it.

## notion 3+2015061300

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 SUBDIRS = $(LIBS_SUBDIRS) $(INSTALL_SUBDIRS)
 
-DOCS = README LICENSE ChangeLog RELNOTES
+DOCS = README LICENSE CHANGELOG
 
 TO_REALCLEAN = build/ac/system-ac.mk

=== libextl/Makefile ===
--- 
+++ 
@@ -9,10 +9,7 @@
 endif
 
 # System-specific configuration
-include $(TOPDIR)/system.mk
-
-# Internal library CFLAGS/INCLUDES
-include $(TOPDIR)/build/libs.mk
+include $(TOPDIR)/build/system-inc.mk
 
 ######################################
 
@@ -26,7 +23,7 @@
 
 TARGETS=libextl.a libextl-mkexports
 
-.PHONY : libextl-mkexports
+.PHONY : libextl-mkexports test
 
 ######################################
 
@@ -34,12 +31,26 @@
 
 ######################################
 
+ifdef LUA
+
 libextl.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
 	$(RANLIB) $@
 
 libextl-mkexports: libextl-mkexports.in
 	sed "1s:LUA50:$(LUA):" $< > $@
+
+else
+
+libextl.a: libextl-mkexports.in
+	echo "Error: LUA interpreter and libraries not found (or inconsistent versions)"
+	return -1
+
+libextl-mkexports: libextl-mkexports.in
+	echo "Error: LUA interpreter and libraries not found (or inconsistent versions)"
+	return -1
+
+endif 
 
 install:
 	$(INSTALLDIR) $(DESTDIR)$(BINDIR)
@@ -50,3 +61,11 @@
 	for h in $(HEADERS); do \
 		$(INSTALL) -m $(DATA_MODE) $$h $(DESTDIR)$(INCDIR); \
 	done
+
+test:
+	rm test/extltest
+	gcc -g -o test/extltest test/extltest.c `pkg-config --libs lua5.1` `pkg-config --cflags lua5.1` -ltu
+	test/extltest
+	rm test/extltest
+	gcc -g -o test/extltest test/extltest.c `pkg-config --libs lua5.2` `pkg-config --cflags lua5.2` -ltu
+	test/extltest

=== mod_xinerama/Makefile ===
--- 
+++ 
@@ -52,6 +52,8 @@
 tags:
 	exuberant-ctags -R . $(TOPDIR)
 
+mod_xinerama.o: exports.h
+
 ################ ls_xinerama utility ###############
 
 ls_xinerama: ls_xinerama.c

=== mod_xrandr/Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 MODULE=mod_xrandr
 MODULE_STUB=mod_xrandr.lua
 ETC=cfg_xrandr.lua
+
 
 ######################################
 
@@ -51,3 +52,5 @@
 .PHONY: tags
 tags:
 	exuberant-ctags -R . $(TOPDIR)
+
+mod_xrandr.o: exports.h

=== debian/changelog ===
notion (3+2015061300-2) unstable; urgency=medium

  * Fixed dh_install rules to work properly with arch:all-only and
    arch:any-only builds. Thanks to Santiago Vila for the patch.
    (Closes: #830577, #830848)

 -- Dima Kogan <dkogan@debian.org>  Thu, 14 Jul 2016 23:06:27 -0700

notion (3+2015061300-1) unstable; urgency=medium

  * New upstream version
    - Bugfixes
      - seldomly triggered crash in memory pool
      - save the session atomically
      - various fixes to contributed scripts, notably more lua5.2 support

    - Improvements
      - 'windows' key is now the default META key
      - various code cleanups
      - various build/packaging improvements
      - improved kludges/focus behavior (IntelliJ IDEA, xeyes)
      - expose 'warp_pointer' to lua
      - lock using i3lock when available

    - Features
      - Workspace indicator
      - Delayed population of the focuslist

  * Simplified package build and moved to debhelper 9

 -- Dima Kogan <dima@secretsauce.net>  Tue, 24 Nov 2015 19:55:15 -0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/x11
 Priority: extra
 Maintainer: Arnout Engelen <arnouten@bzzt.net>
-Uploaders: Dima Kogan <dima@secretsauce.net>
+Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7), pkg-config, lua5.2, liblua5.2-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
+Build-Depends: debhelper (>= 9), pkg-config, lua5.2, liblua5.2-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
 XS-Autobuild: yes
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/notion.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/notion.git
@@ -14,8 +14,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils
 Recommends: xfonts-75dpi | xfonts-75dpi-transcoded | xfonts-100dpi | xfonts-100dpi-transcoded, libxrandr2, libxinerama1
-Suggests: menu (>= 2.1.9), docker, notion-doc, notion-scripts
-Provides: x-window-manager, notion-api-${Notion:ApiVersion}
+Suggests: menu (>= 2.1.9), docker
+Provides: x-window-manager, notion-api-${source:Upstream-Version}
 Replaces: particleman
 Description: tiling tabbed window manager designed for keyboard users
  Notion divides the screen into tiles and places windows in these tiles

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

# The upstream Makefiles do not look at CPPFLAGS. They should, and this should
# be unnecessary
override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build

override_dh_installman-arch:
	for langdir in debian/tmp/usr/share/man/*; do								\
		lang=`basename $$langdir`;									\
		test $$lang = "man1" || dh_installman --language $$lang debian/tmp/usr/share/man/$$lang/man1/*;	\
	done
	dh_installman --language C debian/tmp/usr/share/man/man1/* debian/install-notion-cfg.1

# I disable tests because these fail in multiple ways. The previous package
# didn't run the tests anyway
override_dh_auto_test:
	true

override_dh_installmenu-arch:
	dh_installmenu
	install -m644 debian/notion.menu-method.i18n \
		debian/notion/etc/menu-methods/notion-i18n

override_dh_install-indep:
	dh_install

	# install headers
	find . \( -name debian -o -name .pc -o -name config.h -o -name snprintf.h \) \
		-prune -o -name '*.h' -exec install -m644 -D {} \
		debian/notion-dev/usr/include/notion/{} \;

override_dh_fixperms-indep:
	dh_fixperms
	# this needs to be executable
	chmod a+x debian/notion-dev/usr/lib/notion/libextl/libextl-mkexports

override_dh_install-arch:
	dh_install
	# notionflux should go into /usr/bin. The upstream install should probably do this
	mv debian/notion/usr/lib/notion/notionflux debian/notion/usr/bin
